# Method: partners.subscriptions.create

- [HTTP request](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/create#body.request_body)
- [Response body](https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions/create#body.response_body)

Used by partners to create a subscription for their customers. The created subscription is associated with the end user inferred from the end user credentials. This API must be authorized by the end user using OAuth.

### HTTP request

`POST https://paymentsresellersubscription.googleapis.com/v1/{parent=partners/*}/subscriptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name, which is the identifier of the partner. It will have the format of "partners/{partner_id}". |

### Query parameters

| Parameters ||
|---|---|
| `subscriptionId` | `string` Required. Identifies the subscription resource on the Partner side. The value is restricted to 63 ASCII characters at the maximum. If a subscription with the same ID already exists, the creation fails with an `ALREADY_EXISTS` error. |

### Request body

The request body contains an instance of `https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions#Subscription`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/payments/reseller/subscription/reference/rest/v1/partners.subscriptions#Subscription`.